Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 3731)
+++ plugins/antispam/index.php	(revision 3874)
@@ -48,8 +48,8 @@
     # Update filters
     if (isset($_POST['filters_upd'])) {
-        $filters_opt = array();
+        $filters_opt = [];
         $i           = 0;
         foreach ($filters as $fid => $f) {
-            $filters_opt[$fid] = array(false, $i);
+            $filters_opt[$fid] = [false, $i];
             $i++;
         }
@@ -118,9 +118,9 @@
 if ($filter_gui !== false) {
     echo dcPage::breadcrumb(
-        array(
+        [
             __('Plugins')                                         => '',
             $page_name                                            => $p_url,
             sprintf(__('%s filter configuration'), $filter->name) => ''
-        )) .
+        ]) .
     dcPage::notices();
 
@@ -134,8 +134,8 @@
 } else {
     echo dcPage::breadcrumb(
-        array(
+        [
             __('Plugins') => '',
             $page_name    => ''
-        )) .
+        ]) .
     dcPage::notices();
 
@@ -151,7 +151,7 @@
     echo
     '<ul class="spaminfo">' .
-    '<li class="spamcount"><a href="' . $core->adminurl->get('admin.comments', array('status' => '-2')) . '">' . __('Junk comments:') . '</a> ' .
+    '<li class="spamcount"><a href="' . $core->adminurl->get('admin.comments', ['status' => '-2']) . '">' . __('Junk comments:') . '</a> ' .
     '<strong>' . $spam_count . '</strong></li>' .
-    '<li class="hamcount"><a href="' . $core->adminurl->get('admin.comments', array('status' => '1')) . '">' . __('Published comments:') . '</a> ' .
+    '<li class="hamcount"><a href="' . $core->adminurl->get('admin.comments', ['status' => '1']) . '">' . __('Published comments:') . '</a> ' .
         $published_count . '</li>' .
         '</ul>';
@@ -204,22 +204,22 @@
         echo
         '<tr class="line' . ($f->active ? '' : ' offline') . '" id="f_' . $fid . '">' .
-        '<td class="handle">' . form::number(array('f_order[' . $fid . ']'), array(
+        '<td class="handle">' . form::number(['f_order[' . $fid . ']'], [
             'min'        => 0,
             'default'    => $i,
             'class'      => 'position',
             'extra_html' => 'title="' . __('position') . '"'
-        )) .
+        ]) .
         '</td>' .
-        '<td class="nowrap">' . form::checkbox(array('filters_active[]'), $fid,
-            array(
+        '<td class="nowrap">' . form::checkbox(['filters_active[]'], $fid,
+            [
                 'checked'    => $f->active,
                 'extra_html' => 'title="' . __('Active') . '"'
-            )
+            ]
         ) . '</td>' .
-        '<td class="nowrap">' . form::checkbox(array('filters_auto_del[]'), $fid,
-            array(
+        '<td class="nowrap">' . form::checkbox(['filters_auto_del[]'], $fid,
+            [
                 'checked'    => $f->auto_delete,
                 'extra_html' => 'title="' . __('Auto Del.') . '"'
-            )
+            ]
         ) . '</td>' .
         '<td class="nowrap" scope="row">' . $f->name . '</td>' .
Index: plugins/antispam/js/antispam.js
===================================================================
--- plugins/antispam/js/antispam.js	(revision 3730)
+++ plugins/antispam/js/antispam.js	(revision 3880)
@@ -3,23 +3,29 @@
 
 $(function() {
-	$('#filters-list').sortable({'cursor':'move'});
-	$('#filters-list tr').hover(function () {
-		$(this).css({'cursor':'move'});
-	}, function () {
-		$(this).css({'cursor':'auto'});
-	});
-	$('#filters-list-form').submit(function() {
-		var order=[];
-		$('#filters-list tr td input.position').each(function() {
-			order.push(this.name.replace(/^f_order\[([^\]]+)\]$/,'$1'));
-		});
-		$('input[name=filters_order]')[0].value = order.join(',');
-		return true;
-	});
-	$('#filters-list tr td input.position').hide();
-	$('#filters-list tr td.handle').addClass('handler');
+  $('#filters-list').sortable({
+    'cursor': 'move'
+  });
+  $('#filters-list tr').hover(function() {
+    $(this).css({
+      'cursor': 'move'
+    });
+  }, function() {
+    $(this).css({
+      'cursor': 'auto'
+    });
+  });
+  $('#filters-list-form').submit(function() {
+    let order = [];
+    $('#filters-list tr td input.position').each(function() {
+      order.push(this.name.replace(/^f_order\[([^\]]+)\]$/, '$1'));
+    });
+    $('input[name=filters_order]')[0].value = order.join(',');
+    return true;
+  });
+  $('#filters-list tr td input.position').hide();
+  $('#filters-list tr td.handle').addClass('handler');
 
-	$('form input[type=submit][name=delete_all]').click(function(){
-		return window.confirm(dotclear.msg.confirm_spam_delete);
-	});
+  $('form input[type=submit][name=delete_all]').click(function() {
+    return window.confirm(dotclear.msg.confirm_spam_delete);
+  });
 });
Index: plugins/antispam/js/dashboard.js
===================================================================
--- plugins/antispam/js/dashboard.js	(revision 3787)
+++ plugins/antispam/js/dashboard.js	(revision 3880)
@@ -3,5 +3,5 @@
 
 dotclear.dbSpamsCount = function() {
-  var params = {
+  const params = {
     f: 'getSpamsCount',
     xd_check: dotclear.nonce,
@@ -13,11 +13,11 @@
       window.console.log('Dotclear REST server error');
     } else {
-      var nb = $('rsp>count', data).attr('ret');
+      const nb = $('rsp>count', data).attr('ret');
       if (nb != dotclear.dbSpamsCount_Counter) {
         // First pass or counter changed
-        var icon = $('#dashboard-main #icons p a[href="comments.php?status=-2"]');
+        let icon = $('#dashboard-main #icons p a[href="comments.php?status=-2"]');
         if (icon.length) {
           // Update count if exists
-          var nb_label = icon.children('span.db-icon-title-spam');
+          const nb_label = icon.children('span.db-icon-title-spam');
           if (nb_label.length) {
             nb_label.text(nb);
@@ -26,7 +26,7 @@
           if (nb != '') {
             // Add full element (link + counter)
-            var icon = $('#dashboard-main #icons p a[href="comments.php"]');
+            icon = $('#dashboard-main #icons p a[href="comments.php"]');
             if (icon.length) {
-              var xml = ' <a href="comments.php?status=-2"><span class="db-icon-title-spam">' + nb + '</span></a>';
+              const xml = ` <a href="comments.php?status=-2"><span class="db-icon-title-spam">${nb}</span></a>`;
               icon.after(xml);
             }
@@ -43,5 +43,5 @@
   // run counters' update on some dashboard icons
   // Spam comments
-  var icon_spam = $('#dashboard-main #icons p a[href="comments.php"]');
+  const icon_spam = $('#dashboard-main #icons p a[href="comments.php"]');
   if (icon_spam.length) {
     // Icon exists on dashboard
Index: plugins/attachments/_admin.php
===================================================================
--- plugins/attachments/_admin.php	(revision 3731)
+++ plugins/attachments/_admin.php	(revision 3874)
@@ -12,11 +12,11 @@
 if (!defined('DC_CONTEXT_ADMIN')) {return;}
 
-$core->addBehavior('adminPostFormItems', array('attachmentAdmin', 'adminPostFormItems'));
-$core->addBehavior('adminPostAfterForm', array('attachmentAdmin', 'adminPostAfterForm'));
-$core->addBehavior('adminPostHeaders', array('attachmentAdmin', 'postHeaders'));
-$core->addBehavior('adminPageFormItems', array('attachmentAdmin', 'adminPostFormItems'));
-$core->addBehavior('adminPageAfterForm', array('attachmentAdmin', 'adminPostAfterForm'));
-$core->addBehavior('adminPageHeaders', array('attachmentAdmin', 'postHeaders'));
-$core->addBehavior('adminPageHelpBlock', array('attachmentAdmin', 'adminPageHelpBlock'));
+$core->addBehavior('adminPostFormItems', ['attachmentAdmin', 'adminPostFormItems']);
+$core->addBehavior('adminPostAfterForm', ['attachmentAdmin', 'adminPostAfterForm']);
+$core->addBehavior('adminPostHeaders', ['attachmentAdmin', 'postHeaders']);
+$core->addBehavior('adminPageFormItems', ['attachmentAdmin', 'adminPostFormItems']);
+$core->addBehavior('adminPageAfterForm', ['attachmentAdmin', 'adminPostAfterForm']);
+$core->addBehavior('adminPageHeaders', ['attachmentAdmin', 'postHeaders']);
+$core->addBehavior('adminPageHelpBlock', ['attachmentAdmin', 'adminPageHelpBlock']);
 
 class attachmentAdmin
@@ -56,8 +56,8 @@
                 $item .=
                 '<div class="media-item s-attachments">' .
-                '<a class="media-icon" href="' . $core->adminurl->get('admin.media.item', array('id' => $f->media_id)) . '">' .
+                '<a class="media-icon" href="' . $core->adminurl->get('admin.media.item', ['id' => $f->media_id]) . '">' .
                 '<img src="' . $f->media_icon . '" alt="" title="' . $f->basename . '" /></a>' .
                 '<ul>' .
-                '<li><a class="media-link" href="' . $core->adminurl->get('admin.media.item', array('id' => $f->media_id)) . '" ' .
+                '<li><a class="media-link" href="' . $core->adminurl->get('admin.media.item', ['id' => $f->media_id]) . '" ' .
                 'title="' . $f->basename . '">' . $ftitle . '</a></li>' .
                 '<li>' . $f->media_dtstr . '</li>' .
@@ -66,10 +66,10 @@
 
                 '<li class="media-action"><a class="attachment-remove" id="attachment-' . $f->media_id . '" ' .
-                'href="' . $core->adminurl->get('admin.post.media', array(
+                'href="' . $core->adminurl->get('admin.post.media', [
                     'post_id'   => $post->post_id,
                     'media_id'  => $f->media_id,
                     'link_type' => 'attachment',
                     'remove'    => '1'
-                )) . '">' .
+                ]) . '">' .
                 '<img src="images/trash.png" alt="' . __('remove') . '" /></a>' .
                     '</li>' .
@@ -84,5 +84,5 @@
             }
             $item .=
-            '<p class="s-attachments"><a class="button" href="' . $core->adminurl->get('admin.media', array('post_id' => $post->post_id, 'link_type' => 'attachment')) . '">' .
+            '<p class="s-attachments"><a class="button" href="' . $core->adminurl->get('admin.media', ['post_id' => $post->post_id, 'link_type' => 'attachment']) . '">' .
             __('Add files to this entry') . '</a></p>';
             $sidebar['metas-box']['items']['attachments'] = $item;
@@ -96,8 +96,8 @@
             echo
             '<form action="' . $core->adminurl->get('admin.post.media') . '" id="attachment-remove-hide" method="post">' .
-            '<div>' . form::hidden(array('post_id'), $post->post_id) .
-            form::hidden(array('media_id'), '') .
-            form::hidden(array('link_type'), 'attachment') .
-            form::hidden(array('remove'), 1) .
+            '<div>' . form::hidden(['post_id'], $post->post_id) .
+            form::hidden(['media_id'], '') .
+            form::hidden(['link_type'], 'attachment') .
+            form::hidden(['remove'], 1) .
             $core->formNonce() . '</div></form>';
         }
Index: plugins/attachments/_define.php
===================================================================
--- plugins/attachments/_define.php	(revision 3731)
+++ plugins/attachments/_define.php	(revision 3874)
@@ -17,8 +17,8 @@
     "Dotclear Team",           // Author
     '1.1',                     // Version
-    array(
+    [
         'permissions' => 'usage,contentadmin,pages',
         'priority'    => 999,
         'type'        => 'plugin'
-    )
+    ]
 );
Index: plugins/attachments/_public.php
===================================================================
--- plugins/attachments/_public.php	(revision 3731)
+++ plugins/attachments/_public.php	(revision 3874)
@@ -13,20 +13,20 @@
 
 # Attachments
-$core->tpl->addBlock('Attachments', array('attachmentTpl', 'Attachments'));
-$core->tpl->addBlock('AttachmentsHeader', array('attachmentTpl', 'AttachmentsHeader'));
-$core->tpl->addBlock('AttachmentsFooter', array('attachmentTpl', 'AttachmentsFooter'));
-$core->tpl->addValue('AttachmentMimeType', array('attachmentTpl', 'AttachmentMimeType'));
-$core->tpl->addValue('AttachmentType', array('attachmentTpl', 'AttachmentType'));
-$core->tpl->addValue('AttachmentFileName', array('attachmentTpl', 'AttachmentFileName'));
-$core->tpl->addValue('AttachmentSize', array('attachmentTpl', 'AttachmentSize'));
-$core->tpl->addValue('AttachmentTitle', array('attachmentTpl', 'AttachmentTitle'));
-$core->tpl->addValue('AttachmentThumbnailURL', array('attachmentTpl', 'AttachmentThumbnailURL'));
-$core->tpl->addValue('AttachmentURL', array('attachmentTpl', 'AttachmentURL'));
-$core->tpl->addValue('MediaURL', array('attachmentTpl', 'MediaURL'));
-$core->tpl->addBlock('AttachmentIf', array('attachmentTpl', 'AttachmentIf'));
-
-$core->tpl->addValue('EntryAttachmentCount', array('attachmentTpl', 'EntryAttachmentCount'));
-
-$core->addBehavior('tplIfConditions', array('attachmentBehavior', 'tplIfConditions'));
+$core->tpl->addBlock('Attachments', ['attachmentTpl', 'Attachments']);
+$core->tpl->addBlock('AttachmentsHeader', ['attachmentTpl', 'AttachmentsHeader']);
+$core->tpl->addBlock('AttachmentsFooter', ['attachmentTpl', 'AttachmentsFooter']);
+$core->tpl->addValue('AttachmentMimeType', ['attachmentTpl', 'AttachmentMimeType']);
+$core->tpl->addValue('AttachmentType', ['attachmentTpl', 'AttachmentType']);
+$core->tpl->addValue('AttachmentFileName', ['attachmentTpl', 'AttachmentFileName']);
+$core->tpl->addValue('AttachmentSize', ['attachmentTpl', 'AttachmentSize']);
+$core->tpl->addValue('AttachmentTitle', ['attachmentTpl', 'AttachmentTitle']);
+$core->tpl->addValue('AttachmentThumbnailURL', ['attachmentTpl', 'AttachmentThumbnailURL']);
+$core->tpl->addValue('AttachmentURL', ['attachmentTpl', 'AttachmentURL']);
+$core->tpl->addValue('MediaURL', ['attachmentTpl', 'MediaURL']);
+$core->tpl->addBlock('AttachmentIf', ['attachmentTpl', 'AttachmentIf']);
+
+$core->tpl->addValue('EntryAttachmentCount', ['attachmentTpl', 'EntryAttachmentCount']);
+
+$core->addBehavior('tplIfConditions', ['attachmentBehavior', 'tplIfConditions']);
 
 class attachmentTpl
@@ -90,5 +90,5 @@
     public static function AttachmentIf($attr, $content)
     {
-        $if = array();
+        $if = [];
 
         $operator = isset($attr['operator']) ? dcTemplate::getOperator($attr['operator']) : '&&';
@@ -224,9 +224,9 @@
         return $core->tpl->displayCounter(
             '$_ctx->posts->countMedia(\'attachment\')',
-            array(
+            [
                 'none' => 'no attachments',
                 'one'  => 'one attachment',
                 'more' => '%d attachments'
-            ),
+            ],
             $attr,
             false
Index: plugins/blogroll/_admin.php
===================================================================
--- plugins/blogroll/_admin.php	(revision 3731)
+++ plugins/blogroll/_admin.php	(revision 3874)
@@ -18,13 +18,13 @@
 function blogroll_dashboard($core, $icons)
 {
-    $icons['blogroll'] = new ArrayObject(array(
+    $icons['blogroll'] = new ArrayObject([
         __('Blogroll'),
         $core->adminurl->get('admin.plugin.blogroll'),
         dcPage::getPF('blogroll/icon.png')
-    ));
+    ]);
 }
 function blogroll_dashboard_favorites($core, $favs)
 {
-    $favs->register('blogroll', array(
+    $favs->register('blogroll', [
         'title'       => __('Blogroll'),
         'url'         => $core->adminurl->get('admin.plugin.blogroll'),
@@ -32,5 +32,5 @@
         'large-icon'  => dcPage::getPF('blogroll/icon.png'),
         'permissions' => 'usage,contentadmin'
-    ));
+    ]);
 }
 function blogroll_users_actions_headers()
Index: plugins/blogroll/_define.php
===================================================================
--- plugins/blogroll/_define.php	(revision 3731)
+++ plugins/blogroll/_define.php	(revision 3874)
@@ -17,7 +17,7 @@
     "Olivier Meunier",      // Author
     '1.4',                  // Version
-    array(
+    [
         'permissions' => 'blogroll',
         'type'        => 'plugin'
-    )
+    ]
 );
Index: plugins/blogroll/_public.php
===================================================================
--- plugins/blogroll/_public.php	(revision 3731)
+++ plugins/blogroll/_public.php	(revision 3874)
@@ -15,8 +15,8 @@
 
 # Blogroll template functions
-$core->tpl->addValue('Blogroll', array('tplBlogroll', 'blogroll'));
-$core->tpl->addValue('BlogrollXbelLink', array('tplBlogroll', 'blogrollXbelLink'));
-
-$core->url->register('xbel', 'xbel', '^xbel(?:/?)$', array('urlBlogroll', 'xbel'));
+$core->tpl->addValue('Blogroll', ['tplBlogroll', 'blogroll']);
+$core->tpl->addValue('BlogrollXbelLink', ['tplBlogroll', 'blogrollXbelLink']);
+
+$core->url->register('xbel', 'xbel', '^xbel(?:/?)$', ['urlBlogroll', 'xbel']);
 
 class tplBlogroll
@@ -75,5 +75,5 @@
                 return '';
             }
-            $hierarchy = array($hierarchy[$category]);
+            $hierarchy = [$hierarchy[$category]];
         }
 
Index: plugins/blogroll/_widgets.php
===================================================================
--- plugins/blogroll/_widgets.php	(revision 3731)
+++ plugins/blogroll/_widgets.php	(revision 3874)
@@ -12,6 +12,6 @@
 if (!defined('DC_RC_PATH')) {return;}
 
-$core->addBehavior('initWidgets', array('blogrollWidgets', 'initWidgets'));
-$core->addBehavior('initDefaultWidgets', array('blogrollWidgets', 'initDefaultWidgets'));
+$core->addBehavior('initWidgets', ['blogrollWidgets', 'initWidgets']);
+$core->addBehavior('initDefaultWidgets', ['blogrollWidgets', 'initDefaultWidgets']);
 
 class blogrollWidgets
@@ -19,5 +19,5 @@
     public static function initWidgets($w)
     {
-        $w->create('links', __('Blogroll'), array('tplBlogroll', 'linksWidget'), null, 'Blogroll list');
+        $w->create('links', __('Blogroll'), ['tplBlogroll', 'linksWidget'], null, 'Blogroll list');
         $w->links->setting('title', __('Title (optional)') . ' :', __('Links'));
 
@@ -25,5 +25,5 @@
         $h          = $br->getLinksHierarchy($br->getLinks());
         $h          = array_keys($h);
-        $categories = array(__('All categories') => '');
+        $categories = [__('All categories') => ''];
         foreach ($h as $v) {
             if ($v) {
@@ -35,9 +35,9 @@
 
         $w->links->setting('homeonly', __('Display on:'), 1, 'combo',
-            array(
+            [
                 __('All pages')           => 0,
                 __('Home page only')      => 1,
                 __('Except on home page') => 2
-            )
+            ]
         );
         $w->links->setting('content_only', __('Content only'), 0, 'check');
Index: plugins/blogroll/class.dc.blogroll.php
===================================================================
--- plugins/blogroll/class.dc.blogroll.php	(revision 3731)
+++ plugins/blogroll/class.dc.blogroll.php	(revision 3874)
@@ -25,5 +25,5 @@
     }
 
-    public function getLinks($params = array())
+    public function getLinks($params = [])
     {
         $strReq = 'SELECT link_id, link_title, link_desc, link_href, ' .
@@ -44,4 +44,28 @@
 
         return $rs;
+    }
+
+    public function getLangs($params = [])
+    {
+        // Use post_lang as an alias of link_lang to be able to use the dcAdminCombos::getLangsCombo() function
+        $strReq = 'SELECT COUNT(link_id) as nb_link, link_lang as post_lang ' .
+        'FROM ' . $this->table . ' ' .
+        "WHERE blog_id = '" . $this->con->escape($this->blog->id) . "' " .
+            "AND link_lang <> '' " .
+            "AND link_lang IS NOT NULL ";
+
+        if (isset($params['lang'])) {
+            $strReq .= "AND link_lang = '" . $this->con->escape($params['lang']) . "' ";
+        }
+
+        $strReq .= 'GROUP BY link_lang ';
+
+        $order = 'desc';
+        if (!empty($params['order']) && preg_match('/^(desc|asc)$/i', $params['order'])) {
+            $order = $params['order'];
+        }
+        $strReq .= 'ORDER BY link_lang ' . $order . ' ';
+
+        return $this->con->select($strReq);
     }
 
@@ -183,5 +207,5 @@
     public function getLinksHierarchy($rs)
     {
-        $res = array();
+        $res = [];
 
         foreach ($rs->rows() as $k => $v) {
Index: plugins/blogroll/class.dc.importblogroll.php
===================================================================
--- plugins/blogroll/class.dc.importblogroll.php	(revision 3731)
+++ plugins/blogroll/class.dc.importblogroll.php	(revision 3874)
@@ -36,5 +36,5 @@
         $outlines = $xml->xpath("//outline");
 
-        $this->entries = array();
+        $this->entries = [];
         foreach ($outlines as $outline) {
             if (isset($outline['htmlUrl'])) {
@@ -66,5 +66,5 @@
         $outlines = $xml->xpath("//bookmark");
 
-        $this->entries = array();
+        $this->entries = [];
         foreach ($outlines as $outline) {
             if (!isset($outline['href'])) {
Index: plugins/blogroll/edit.php
===================================================================
--- plugins/blogroll/edit.php	(revision 3731)
+++ plugins/blogroll/edit.php	(revision 3874)
@@ -84,4 +84,8 @@
 }
 
+# Languages combo
+$links      = $blogroll->getLangs(['order' => 'asc']);
+$lang_combo = dcAdminCombos::getLangsCombo($links, true);
+
 ?>
 <html>
@@ -93,8 +97,8 @@
 <?php
 echo dcPage::breadcrumb(
-    array(
+    [
         html::escapeHTML($core->blog->name) => '',
         __('Blogroll')                      => $p_url
-    )) .
+    ]) .
 dcPage::notices();
 ?>
@@ -109,8 +113,8 @@
 
     '<p><label for="link_desc" class="required classic"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Title:') . '</label> ' .
-    form::field('link_desc', 30, 255, array(
+    form::field('link_desc', 30, 255, [
         'default'    => html::escapeHTML($link_desc),
         'extra_html' => 'required placeholder="' . __('Title') . '"'
-    )) .
+    ]) .
 
     form::hidden('edit', 1) .
@@ -129,16 +133,16 @@
 
     '<p><label for="link_title" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Title:') . '</label> ' .
-    form::field('link_title', 30, 255, array(
+    form::field('link_title', 30, 255, [
         'default'    => html::escapeHTML($link_title),
         'extra_html' => 'required placeholder="' . __('Title') . '"'
-    )) .
+    ]) .
     '</p>' .
 
     '<p><label for="link_href" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('URL:') . '</label> ' .
-    form::url('link_href', array(
+    form::url('link_href', [
         'size'       => 30,
         'default'    => html::escapeHTML($link_href),
         'extra_html' => 'required placeholder="' . __('URL') . '"'
-    )) .
+    ]) .
     '</p>' .
 
@@ -147,5 +151,7 @@
 
     '<p><label for="link_lang">' . __('Language:') . '</label> ' .
-    form::field('link_lang', 5, 5, html::escapeHTML($link_lang)) . '</p>' .
+    form::combo('link_lang', $lang_combo, $link_lang) .
+    '</p>' .
+
     '</div>' .
 
@@ -153,4 +159,6 @@
     '<div class="col70 last-col">' .
     '<h3>' . __('XFN information') . '</h3>' .
+    '<p class="clear form-note">' . __('More information on <a href="https://en.wikipedia.org/wiki/XHTML_Friends_Network">Wikipedia</a> website') . '</p>' .
+
     '<div class="table-outer">' .
     '<table class="noborder">' .
@@ -159,5 +167,5 @@
     '<th>' . __('_xfn_Me') . '</th>' .
     '<td><p>' . '<label class="classic">' .
-    form::checkbox(array('identity'), 'me', ($link_xfn == 'me')) . ' ' .
+    form::checkbox(['identity'], 'me', ($link_xfn == 'me')) . ' ' .
     __('_xfn_Another link for myself') . '</label></p></td>' .
     '</tr>' .
@@ -166,11 +174,11 @@
     '<th>' . __('_xfn_Friendship') . '</th>' .
     '<td><p>' .
-    '<label class="classic">' . form::radio(array('friendship'), 'contact',
+    '<label class="classic">' . form::radio(['friendship'], 'contact',
         strpos($link_xfn, 'contact') !== false) . __('_xfn_Contact') . '</label> ' .
-    '<label class="classic">' . form::radio(array('friendship'), 'acquaintance',
+    '<label class="classic">' . form::radio(['friendship'], 'acquaintance',
         strpos($link_xfn, 'acquaintance') !== false) . __('_xfn_Acquaintance') . '</label> ' .
-    '<label class="classic">' . form::radio(array('friendship'), 'friend',
+    '<label class="classic">' . form::radio(['friendship'], 'friend',
         strpos($link_xfn, 'friend') !== false) . __('_xfn_Friend') . '</label> ' .
-    '<label class="classic">' . form::radio(array('friendship'), '') . __('None') . '</label>' .
+    '<label class="classic">' . form::radio(['friendship'], '') . __('None') . '</label>' .
     '</p></td>' .
     '</tr>' .
@@ -179,5 +187,5 @@
     '<th>' . __('_xfn_Physical') . '</th>' .
     '<td><p>' .
-    '<label class="classic">' . form::checkbox(array('physical'), 'met',
+    '<label class="classic">' . form::checkbox(['physical'], 'met',
         strpos($link_xfn, 'met') !== false) . __('_xfn_Met') . '</label>' .
     '</p></td>' .
@@ -187,7 +195,7 @@
     '<th>' . __('_xfn_Professional') . '</th>' .
     '<td><p>' .
-    '<label class="classic">' . form::checkbox(array('professional[]'), 'co-worker',
+    '<label class="classic">' . form::checkbox(['professional[]'], 'co-worker',
         strpos($link_xfn, 'co-worker') !== false) . __('_xfn_Co-worker') . '</label> ' .
-    '<label class="classic">' . form::checkbox(array('professional[]'), 'colleague',
+    '<label class="classic">' . form::checkbox(['professional[]'], 'colleague',
         strpos($link_xfn, 'colleague') !== false) . __('_xfn_Colleague') . '</label>' .
     '</p></td>' .
@@ -197,9 +205,9 @@
     '<th>' . __('_xfn_Geographical') . '</th>' .
     '<td><p>' .
-    '<label class="classic">' . form::radio(array('geographical'), 'co-resident',
+    '<label class="classic">' . form::radio(['geographical'], 'co-resident',
         strpos($link_xfn, 'co-resident') !== false) . __('_xfn_Co-resident') . '</label> ' .
-    '<label class="classic">' . form::radio(array('geographical'), 'neighbor',
+    '<label class="classic">' . form::radio(['geographical'], 'neighbor',
         strpos($link_xfn, 'neighbor') !== false) . __('_xfn_Neighbor') . '</label> ' .
-    '<label class="classic">' . form::radio(array('geographical'), '') . __('None') . '</label>' .
+    '<label class="classic">' . form::radio(['geographical'], '') . __('None') . '</label>' .
     '</p></td>' .
     '</tr>' .
@@ -208,15 +216,15 @@
     '<th>' . __('_xfn_Family') . '</th>' .
     '<td><p>' .
-    '<label class="classic">' . form::radio(array('family'), 'child',
+    '<label class="classic">' . form::radio(['family'], 'child',
         strpos($link_xfn, 'child') !== false) . __('_xfn_Child') . '</label> ' .
-    '<label class="classic">' . form::radio(array('family'), 'parent',
+    '<label class="classic">' . form::radio(['family'], 'parent',
         strpos($link_xfn, 'parent') !== false) . __('_xfn_Parent') . '</label> ' .
-    '<label class="classic">' . form::radio(array('family'), 'sibling',
+    '<label class="classic">' . form::radio(['family'], 'sibling',
         strpos($link_xfn, 'sibling') !== false) . __('_xfn_Sibling') . '</label> ' .
-    '<label class="classic">' . form::radio(array('family'), 'spouse',
+    '<label class="classic">' . form::radio(['family'], 'spouse',
         strpos($link_xfn, 'spouse') !== false) . __('_xfn_Spouse') . '</label> ' .
-    '<label class="classic">' . form::radio(array('family'), 'kin',
+    '<label class="classic">' . form::radio(['family'], 'kin',
         strpos($link_xfn, 'kin') !== false) . __('_xfn_Kin') . '</label> ' .
-    '<label class="classic">' . form::radio(array('family'), '') . __('None') . '</label>' .
+    '<label class="classic">' . form::radio(['family'], '') . __('None') . '</label>' .
     '</p></td>' .
     '</tr>' .
@@ -225,11 +233,11 @@
     '<th>' . __('_xfn_Romantic') . '</th>' .
     '<td><p>' .
-    '<label class="classic">' . form::checkbox(array('romantic[]'), 'muse',
+    '<label class="classic">' . form::checkbox(['romantic[]'], 'muse',
         strpos($link_xfn, 'muse') !== false) . __('_xfn_Muse') . '</label> ' .
-    '<label class="classic">' . form::checkbox(array('romantic[]'), 'crush',
+    '<label class="classic">' . form::checkbox(['romantic[]'], 'crush',
         strpos($link_xfn, 'crush') !== false) . __('_xfn_Crush') . '</label> ' .
-    '<label class="classic">' . form::checkbox(array('romantic[]'), 'date',
+    '<label class="classic">' . form::checkbox(['romantic[]'], 'date',
         strpos($link_xfn, 'date') !== false) . __('_xfn_Date') . '</label> ' .
-    '<label class="classic">' . form::checkbox(array('romantic[]'), 'sweetheart',
+    '<label class="classic">' . form::checkbox(['romantic[]'], 'sweetheart',
         strpos($link_xfn, 'sweetheart') !== false) . __('_xfn_Sweetheart') . '</label> ' .
     '</p></td>' .
